package com.sisoft.android.adapter1;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.Toast;

public class ListDisplay extends Activity implements AdapterView.OnItemClickListener {
    // Array of strings...
    String[] RestArray = {"KFC","McDonalds","Pizza Hut","StartBucks","Subway"};

    int[] RestImage = {R.drawable.kfc,R.drawable.mcd,
            R.drawable.pizzahut,R.drawable.starbucks,R.drawable.subway};

    ImageView iv;
    StringBuilder sb = new StringBuilder("Choices");
    int choices = 0;
    Button btn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        iv = (ImageView)findViewById(R.id.iv);
        btn = (Button)findViewById(R.id.btnNew);

        ArrayAdapter adapter = new ArrayAdapter<>
                (this, R.layout.activity_listview, RestArray);


        ListView listView = (ListView) findViewById(R.id.rest_list);
        listView.setAdapter(adapter);

        listView.setOnItemClickListener(this);


        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Toast.makeText(ListDisplay.this,
                        sb.toString(), Toast.LENGTH_SHORT).show();
            }
        });
    }

    public void onItemClick(AdapterView parent,View v,
                            int position,long id){
        if(choices<=2) {
            choices++;
            Toast.makeText(this, RestArray[position],
                    Toast.LENGTH_SHORT).show();
            iv.setImageResource(RestImage[position]);
            v.setBackgroundColor(getResources()
                    .getColor(R.color.colorPrimary, null));
            if (sb != null) {
                sb.append(RestArray[position]);
            }
        }else {
            Toast.makeText(this, "Sorry, you cant pick more than 3", Toast.LENGTH_SHORT).show();
        }
    }
}